dpkg-buildflags(1)

NOM
dpkg-buildflags - retourne les options de compilation à utiliser pour la construction du paquet

SYNOPSIS
dpkg-buildflags [option...] commande

DESCRIPTION
dpkg-buildflags est un script qui permet de récupérer les options de compilation à utiliser pour la construction d'un paquet. Les drapeaux par défaut sont définis par le fournisseur de la distribution mais peuvent être étendus ou remplacés de plusieurs façons :

1.  pour tout le système avec /etc/dpkg/buildflags.conf;

2.  pour l'utilisateur courant avec $XDG_CONFIG_HOME/dpkg/buildflags.conf où la valeur par défaut de $XDG_CONFIG_HOME est $HOME/.config;

3.  temporairement avec des variables d'environnemenet (voir VARIABLES D'ENVIRONNEMENT).

Les fichiers de configuration peuvent contenir deux types de directives :

SET drapeau valeur
    Remplace le drapeau drapeau par la valeur valeur.

APPEND drapeau valeur
    Étend le drapeau drapeau avec les options indiquées dans valeur. Un espace est ajouté au début de ce qui est ajouté si la valeur actuelle du drapeau n'est pas vide.

Les fichiers de configuration peuvent contenir des commentaires sur les lignes commençant par un dièse (#). Les lignes vides sont également ignorées.

COMMANDES

--list
    Affiche la liste des drapeaux gérés par l'éditeur actuel (un par ligne). Voir la section DRAPEAUX GÉRÉS pour plus d'informations sur chacun d'eux.

--export=format
    Affiche sur la sortie standard, les commandes shell (si format est sh) ou make (si format est make) qui permettent d'exporter tous les drapeaux de compilation dans l'environnement. La valeur par défaut de format est sh. Seuls les drapeaux de compilation commençant par une majuscule sont inclus, les autres étant supposés inadaptés à l'environnement.

--get drapeau
    Affiche la valeur de ce drapeau sur la sortie standard. Retourne un code de sortie 0 si le drapeau est connu et 1 s'il est inconnu.

--origin drapeau
    Affiche l'origine de la valeur renvoyée par --get. Retourne un code de sortie 0 si le drapeau est connu et 1 s'il est inconnu. L'origine est une des valeurs suivantes :

    vendor
        le drapeau défini à l'origine par l'éditeur est renvoyé ;

    system
        le drapeau est placé ou modifié par un réglage système ;

    user
        le drapeau est placé ou modifié par une configuration spécifique à l'utilisateur ;

    env le drapeau est placé ou modifié par une configuration spécifique dans l'environnement.

--help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

DRAPEAUX GÉRÉS

CFLAGS
    Options du compilateur C. La valeur par défaut définie par l'éditeur comporte -g le niveau d'optimisation par défaut (-O2 en général, ou -O0 si la variables d'environnement DEB_BUILD_OPTIONS contient noopt).

CPPFLAGS
    Options du préprocesseur C. Valeur par défaut : aucune.

CXXFLAGS
    Options du compilateur C++. Analogue à CFLAGS.

FFLAGS
    Options du compilateur Fortran. Analogue à CFLAGS.

LDFLAGS
    Options passées au compilateur lors du processus de liaison des exécutables ou des objets partagés (si le linker est appelé directement, alors -Wl et , doivent être retirés de ces options). Valeur par défaut: aucune.

FICHIERS

/etc/dpkg/buildflags.conf
    Fichier de configuration pour l'ensemble du système.

$XDG_CONFIG_HOME/dpkg/buildflags.conf ou $HOME/.config/dpkg/buildflags.conf
    Fichier de configuration propre à l'utilisateur

ENVIRONNEMENT

DEB_drapeau_SET
    Cette variable permet de forcer la valeur renvoyée pour le drapeau indiqué.

DEB_drapeau_APPEND
    Cette variable permet d'ajouter des options à la valeur renvoyée pour le drapeau indiqué.

AUTEUR
Copyright © 2010 Raphaël Hertzog

Ce programme est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a PAS de garantie.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.